compiling charm++ with g++ 4.1

From: Leandro Martínez (leandromartinez98_at_gmail.com)
Date: Mon Nov 20 2006 - 10:26:22 CST

We are having trouble compiling charm++ in amd64 machines running Fedora 5
and 6.
Apparently the error is:

%g++ -fPIC -m64 -I../bin/../include -D__CHARMC__=1 -I. -c ComlibManager.C -o
ComlibManager.o
MsgPacker.h:86: error: extra qualification 'MsgPacker::' on member
'MsgPacker'

This "extra qualification" error seems to be related to the use of g++ 4.1,
which does
not accept some things that the older versions of g++ do accept. I could not
find
were to modify the .C file in order to get over the error and I could not
find any
report of this problem for charm++ compilation (although I found
descriptions of
similar errors for other programs).

Does anyone knows how to solve this problem?

By the way, we are trying to compile charm++ from source because we seem to
have a problem in load balancing in our simulations. What happens is that
the simulations
do not crash, but we get a single process running on a single processor and
nothing
happens. We ran the simulation with debugging options at the hang up occurs
just
after a load balancing point. We may have the problem reporte by Jim
Phillips at:

http://www.ks.uiuc.edu/Research/namd/wiki/index.cgi?NamdOnAMD64

so, we are trying to compile charm++ from source with the suggest
modifications. However, we are using the already the 2.6b2 version, for
which he says that the problem "should be fixed".

Is this problem actually fixed in this version?
Thanks,
Leandro.

This archive was generated by hypermail 2.1.6 : Wed Feb 29 2012 - 05:19:53 CST